=icon($name, $with-text: true, $position-right: false)
	@if $name
		$icon: map-get($fa-icons, $name)
		@if $position-right
			&:after
				@extend %fa-icon
				// WORKAROUND: New Sass converts all Unicode references to actual
				// UTF-8 characters which makes icons disappear once mangled by
				// Maven. See https://github.com/sass/sass/issues/659#issuecomment-119285467
				content: unquote("\"#{$icon}\"")

				@if $with-text
					margin-left: .25em // Usually there is already one space behind the element's text, so use only half margin
		@else
			&:before
				@extend %fa-icon
				// See above
				content: unquote("\"#{$icon}\"")

				@if $with-text
					margin-right: .5em

	@else
		// Clear icon
		&:before,
		&:after
			display: none !important
